# ORBITADOR

**ORBITADOR** is a software tool for robustness analysis of dynamical systems commanded by differential equations. It implements a formal method to prove formally the stability of time-periodic systems and some other useful features.

## Installation of dependencies

**ORBITADOR**  has some dependencies (like `numpy`, `sympy` and `matplotlib`) which must be installed so that ORBITADOR works correctly.

These dependencies can be installed separately using the commands below:
```bash
pip3 install numpy
pip3 install sympy
sudo apt-get install python3-matplotlib -y
sudo apt-get install python3-tk
```
Or, they can be installed using the `requirements.txt` file in `orbitador` directory:
```bash
python -m pip install -r requirements.txt
```

## Usage
To launch **ORBITADOR GUI**, the user needs to run, in the terminal, the python file `orbitador.py`:
```bash
./orbitador.py
```

